Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#67148 - [python-pikepdf] Missing dependency

Attached to Project: Community Packages
Opened by indianahorst (indianahorst) - Monday, 29 June 2020, 15:40 GMT
Last edited by Antonio Rojas (arojas) - Monday, 29 June 2020, 16:34 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Antonio Rojas (arojas)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

The dependency python-pillow is missing.


Additional info:
* package version: pdfarranger-1.5.3-1

* Output when starting:
$ pdfarranger
Traceback (most recent call last):
File "/usr/sbin/pdfarranger", line 11, in <module>
load_entry_point('pdfarranger==1.5.3', 'console_scripts', 'pdfarranger')()
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 489, in load_entry_point
return get_distribution(dist).load_entry_point(group, name)
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 2861, in load_entry_point
return ep.load()
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 2461, in load
return self.resolve()
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 2467, in resolve
module = __import__(self.module_name, fromlist=['__name__'], level=0)
File "/usr/lib/python3.8/site-packages/pdfarranger/pdfarranger.py", line 104, in <module>
from . import exporter
File "/usr/lib/python3.8/site-packages/pdfarranger/exporter.py", line 19, in <module>
import pikepdf
File "/usr/lib/python3.8/site-packages/pikepdf/__init__.py", line 48, in <module>
from .models import (
File "/usr/lib/python3.8/site-packages/pikepdf/models/__init__.py", line 11, in <module>
from .image import PdfImage, PdfInlineImage, UnsupportedImageTypeError
File "/usr/lib/python3.8/site-packages/pikepdf/models/image.py", line 17, in <module>
from pikepdf import (
File "/usr/lib/python3.8/site-packages/pikepdf/jbig2.py", line 11, in <module>
from PIL import Image
ModuleNotFoundError: No module named 'PIL'


Steps to reproduce:
Install pdfarranger with pacman. If you don't have python-pillow already installed, you will get the error output above.

So please add this dependency to the package.
This task depends upon

Closed by  Antonio Rojas (arojas)
Monday, 29 June 2020, 16:34 GMT
Reason for closing:  Fixed
Additional comments about closing:  python-pikepdf 1.16.0-2

Loading...